#!/bin/sh

if [ ! `id -u` -eq 0 ]; then
	echo
        echo The install_ssh.sh script must be run as root.
	echo
        exit
fi

echo "If you are a US resident then this port must also fetch"
echo "the RSAREF2 library from sources abroad (RSA Inc. holds a"
echo "patent on RSA and public key crypto in general in the United"
echo "States so using RSA implementations other than RSAREF there"
echo "may violate US patent law)."
echo
echo -n "Are you a United States resident? (YES/NO):"

read USA_RESIDENT
USA_RESIDENT=`echo $USA_RESIDENT | tr "[:lower:]" "[:upper:]"`
while [ "$USA_RESIDENT" != "YES" -a "$USA_RESIDENT" != "NO" ]; do
   echo -n "Are you a United States resident? (YES/NO):"
   read USA_RESIDENT
   USA_RESIDENT=`echo $USA_RESIDENT | tr "[:lower:]" "[:upper:]"`
done

export USA_RESIDENT
export PORTSDIR=`pwd`
cd security/ssh
make install
