#!/bin/sh

N=`grep -sc "# This file now contains just the overrides" /etc/rc.conf`
if [ "$N" = "0"  -a  ! -e /etc/rc.conf.orig ]; then
        cat << EOF > /etc/rc.conf.new
# This file now contains just the overrides from /etc/defaults/rc.conf
# please make all changes to this file.

EOF
        sed -ne "/^# -- sysins/,\$p" /etc/rc.conf >> /etc/rc.conf.new
        cp /etc/rc.conf.new /etc/rc.conf.orig
        sed -e "/^# -- sysins/,\$d" /etc/rc.conf >> /etc/rc.conf.new
        touch -r /etc/rc.conf /etc/rc.conf.orig
        mv -f /etc/rc.conf.new /etc/rc.conf
fi

[ -e /boot/loader.conf.orig ] && mv -f /boot/loader.conf.orig /boot/loader.conf
rm -f $0

exit 0
